Bug 134541 - vsftpd with ipv6 refuses ipv4 "PORT" mode
vsftpd with ipv6 refuses ipv4 "PORT" mode
Product: Fedora
Classification: Fedora
Component: vsftpd (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-10-04 11:11 EDT by Russell King
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-23 03:23:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Russell King 2004-10-04 11:11:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
Requesting a "PORT" mode data transfer results in commands being
aborted with "425 Failed to establish connection".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.ftp zeniv.linux.org.uk
2.login with ftp, password <email>
3.ensure passive mode is off

Actual Results:  200 PORT command successful. Consider using PASV.
425 Failed to establish connection.

Expected Results:  directory listing should be reproduced

Additional info:

The problem appears to be that the "ftpsecure" part of vsftpd is
allocating an IPv6 socket, and handing that socket to the standard
part of vsftpd.  This then tries to connect() the IPv6 socket using an
AF_INET address rather than AF_INET6 address, which the kernel rejects.

Please note that I'm getting a number of bugs reports about this from
people using the service, and even one case where they can't access
the site due to a combination of this problem and their local setup
preventing passive mode.
Comment 1 Russell King 2004-10-05 09:35:11 EDT
vsftpd 2.0.1-2 also exhibits this problem. (fc-2.91 version)
Comment 2 Joe Orton 2005-01-02 07:37:36 EST
Likewise the current FC3 package, vsftpd-2.0.1-5.
Comment 3 Chris Evans 2005-03-05 17:46:41 EST
Clearing my vsftpd bug queue backlog... working on it...
Comment 4 Chris Evans 2005-03-12 18:04:33 EST
Should be fixed here:
Comment 5 Radek Vokal 2005-03-14 07:18:34 EST
I've put rpms of this prerelease on my personal web page, they should
be found here. 


Chris, thanks a lot .. 
Comment 6 Radek Vokal 2005-03-23 03:23:51 EST
vsftpd-2.0.3 is now in devel tree. 

Note You need to log in before you can comment on or make changes to this bug.